import React, { useEffect, useState } from "react";
import { createStackNavigator } from "@react-navigation/stack";
import { NavigationContainer } from "@react-navigation/native";
import MainScreen from "./components/shared/mainview";
import SplashScreenComponent from "./components/shared/splashscreen";
import SharedLogin from "./components/shared/sharedLogin";
import SharedRegisterScreen from "./components/shared/sharedRegistration";
import PatientRegOne from "./components/patientscreens/registration/regOne";
import PatientRegTwo from "./components/patientscreens/registration/regTwo";
import PatientRegThree from "./components/patientscreens/registration/regThree";
import PatientRegisterFour from "./components/patientscreens/registration/regFour";
import PatientRegFourOptional from "./components/patientscreens/registration/regFourOptional";
import PatientRegFive from "./components/patientscreens/registration/regFive";
import PatientRegSix from "./components/patientscreens/registration/regSix";
import PatientRegSeven from "./components/patientscreens/registration/regSeven";
import PatientRegEight from "./components/patientscreens/registration/regEight";
import PatientConsentForm from "./components/patientscreens/consent";
import PatientMainChatView from "./components/patientscreens/patientMainChatView";
import PatientAllPractitioners from "./components/patientscreens/allPractitioners";
import PatientNFTRequests from "./components/patientscreens/nftRequests";
import PractitionerRegistration from "./components/practitionerscreens/registration";
import PractitionerMainView from "./components/practitionerscreens/mainViewWithMenu";
import PatientRequests from "./components/practitionerscreens/patientRequestsView";
import PatientLogin from "./components/patientscreens/registration/login";
import PractitionerLogin from "./components/practitionerscreens/login";
import TreatingPatients from "./components/practitionerscreens/treatingPatients";
import ReceivedNFT from "./components/practitionerscreens/recievedNfts";
import NftView from "./components/practitionerscreens/nft-view";
import PatientMainMenu from "./components/patientscreens/patientMenu";

const Stack = createStackNavigator();

export default function App() {
  const [isReady, setIsReady] = useState(false);

  useEffect(() => {
    setTimeout(() => {
      setIsReady(true);
    }, 3000); // Change the duration as needed
  }, []);

  return (
    <NavigationContainer>
      {isReady ? (
        <Stack.Navigator>
          <Stack.Screen
            name="MainScreen"
            component={MainScreen}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="SharedLogin"
            component={SharedLogin}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="SharedRegisterScreen"
            component={SharedRegisterScreen}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegOne"
            component={PatientRegOne}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegTwo"
            component={PatientRegTwo}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegThree"
            component={PatientRegThree}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegFour"
            component={PatientRegisterFour}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegFourOptional"
            component={PatientRegFourOptional}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegFive"
            component={PatientRegFive}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegSix"
            component={PatientRegSix}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegSeven"
            component={PatientRegSeven}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientRegEight"
            component={PatientRegEight}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientConsentForm"
            component={PatientConsentForm}
            options={{ headerShown: false }}
          />
          <Stack.Screen
            name="PatientMainChatView"
            component={PatientMainChatView}
          />
          <Stack.Screen
            name="All Practitioners"
            component={PatientAllPractitioners}
          />
          <Stack.Screen
            name="PatientNFTRequests"
            component={PatientNFTRequests}
          />
          <Stack.Screen
            name="PractitionerRegistration"
            component={PractitionerRegistration}
          />
          <Stack.Screen
            name="PractitionerMainView"
            component={PractitionerMainView}
          />
          <Stack.Screen name="PatientLogin" component={PatientLogin} />
          <Stack.Screen name="PatientRequests" component={PatientRequests} />
          <Stack.Screen
            name="PractitionerLogin"
            component={PractitionerLogin}
          />
          <Stack.Screen name="TreatingPatients" component={TreatingPatients} />
          <Stack.Screen name="ReceivedNFT" component={ReceivedNFT} />
          <Stack.Screen name="NftView" component={NftView} />
          <Stack.Screen name="PatientMainMenu" component={PatientMainMenu} />
        </Stack.Navigator>
      ) : (
        <SplashScreenComponent />
      )}
    </NavigationContainer>
  );
}
