import React, { useState } from "react";
import { View, TextInput, Button, StyleSheet,TouchableHighlight,Text } from "react-native";
import { useNavigation } from "@react-navigation/native";

export default function PatientRegOne() {
  const navigation = useNavigation();
  const [email, setEmail] = useState("");
  const [username, setUsername] = useState("");
  const [password, setPassword] = useState("");

  const handleNext = () => {
    navigation.navigate("PatientRegTwo", {
      email,
      username,
      password,
    });
    console.log(email, username, password);
  };

  return (
    <View style={styles.container}>
      <TextInput
        style={styles.input}
        placeholder="Email"
        value={email}
        onChangeText={(text) => setEmail(text)}
      />
      <TextInput
        style={styles.input}
        placeholder="Username"
        value={username}
        onChangeText={(text) => setUsername(text)}
      />
      <TextInput
        style={styles.input}
        placeholder="Password"
        value={password}
        onChangeText={(text) => setPassword(text)}
        secureTextEntry={true}
      />
      {/* <Button title="Next" onPress={handleNext} color="#703BE7"/> */}
      <TouchableHighlight
        style={styles.button}
        onPress={handleNext}
      >
        <Text style={styles.buttonText}>Next</Text>
      </TouchableHighlight>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  input: {
    width: "80%",
    height: 40,
    marginVertical: 10,
    paddingHorizontal: 10,
    borderColor: "gray",
    borderWidth: 1,
    borderRadius: 5,
  },
  button: {
    width: "80%",
    height: 60, // Adjust the height value to make the button taller
    backgroundColor: "#560CCE",
    justifyContent: "center",
    alignItems: "center",
    borderRadius: 30, // Adjust the border radius value to make the edges rounder
    marginTop: 10,
  },
  buttonText: {
    color: "white",
    fontSize: 16,
    fontWeight: "bold",
  },
});
