import React from "react";
import { View, Button, StyleSheet } from "react-native";

export default function PractitionerMainView({ navigation }) {
  const handleUserReq = () => {
    navigation.navigate("PatientRequests");
  };

  const handleRequesting = () => {
    navigation.navigate("TreatingPatients");
  };

  const handleView = () => {
    navigation.navigate("ReceivedNFT");
  };

  const handleLogout = () => {
    navigation.navigate("MainScreen");
  };

  return (
    <View style={styles.container}>
      <View style={styles.buttonContainer}>
        <Button title="User Requests" onPress={() => handleUserReq()} />
      </View>
      <View style={styles.buttonContainer}>
        <Button title="Request EHRs" onPress={() => handleRequesting()} />
      </View>
      <View style={styles.buttonContainer}>
        <Button title="View NFTs" onPress={() => handleView()} />
      </View>
      <View style={styles.buttonContainer}>
        <Button title="Logout" onPress={() => handleLogout()} />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
  },
  buttonContainer: {
    marginVertical: 10,
    width: "80%",
  },
});
